@media screen and (min-width: 759px) {
    .wizard-container {
        width: 600px
    }

}

@media screen and (min-width: 576px) and (max-width: 767px) {
    .filter-option, .dropdown-toggle {
        width: 150px !important;
    }

    .selectStatus {
        margin-left: 145px !important;
    }

    .selectDevice {
        margin-left: 250px !important;
        margin-top: -43px !important;
    }

    .falseRadio {
        margin-left: -30px !important;
    }

    .sslTracking {
        margin-left: -60px !important;
        margin-top: -10px;
    }

    .sslTrackingLabel {
        margin-left: -25px !important;
    }

    .appId {
        margin-left: -100px;
    }

    .appIdLabel {
        margin-left: 260px;
    }

    .previewUrl {
        margin-left: -60px;
    }

    .previewUrlLabel {
        margin-left: 215px;
    }

    .trackingUrl {
        margin-left: -60px;
    }

    .trackingUrlLabel {
        margin-left: 200px;
    }

    .restriction {
        margin-left: -70px;
    }

    .restrictionLabel {
        margin-left: 210px;
    }

    .generalAccessStatus {
        margin-left: -140px;
    }

    .generalAccessStatusLabel {
        margin-left: 29.7%;
    }

    .generalAccessStatusNeedApproval {
        margin-left: 50px !important;
    }

    .generalAccessStatusPrivate {
        margin-left: 80px !important;
    }

    .targetingOS {
        margin-left: -25px;
    }

    .targetingOSLabel {
        margin-left: 75px;
    }

    .targetingDevice {
        margin-left: -5px;
    }

    .targetingCountries .fstMultipleMode .fstControls {
        width: 350px !important;
    }

    .targetingCountriesLabel {
        margin-left: -100px !important;
    }
    .allReportTable .dt-buttons {
        float: left !important;
        margin-top: -105px;
        left: 310px !important;
    }
    .detailsMargin {
        position:absolute;
        margin-left: 50% !important;
    }
    .offerDetailsDescription{
        margin-top:30px !important;
        margin-left: 20% !important;
        width:60% !important;
    }
    .pubOfferDetailsDescription{
        margin-top:230px !important;
        margin-left: 20% !important;
        width:60% !important;
    }
    .offerDetailsFileInput img{
        width:250px !important;
        height:200px !important;
    }
    .pubOfferDetailsCard{
        height:450px !important;
    }
    .eventCard, .generalCard, .pubBannersCard, .pubTargetingCard{
        width: 94% !important;
        margin-left: 40px;
    }
    .pubDevice{
        margin-left: 0;
        margin-top: 0;
    }
    .addressRow, .numberInput, .imIdMargin{
        margin-top:11px !important;
    }
    .postalCodeFax, .advertiserCountry{
        margin-top:12px;
    }
    .CutFactorOffset{
        margin-top:11px;
    }
}

@media screen and (max-width: 575px) {
    .filter-option, .dropdown-toggle {
        width: 170px !important;
    }

    .selectStatus {
        margin-left: 233px !important;
        margin-top: -43px !important;
    }

    .selectDevice {
        margin-left: 233px !important;
        margin-top: -43px !important;
    }

    .monthlyMargin {
        margin-top: -15px !important;
        margin-left: 10px !important;
    }

    .pauseCampaign {
        margin-left: 20px !important;
    }

    .creativeType {
        margin-left: 180px;
        margin-top: -45px;
    }

    .falseRadio {
        margin-top: -25px !important;
        margin-left: 50px !important;
        position: absolute;
    }

    .appIdMargin {
        margin-top: -20px;
    }

    .campaignHeader #addCampaign {
        margin-top: -140px !important;
        margin-right: 40px !important;
    }

    .campaignHeader #searchOffers {
        margin-top: -30px !important;
        margin-right: 40px !important;
    }

    .textLine {
        display: none;
    }

    .navbar {
        z-index: 1 !important;
        margin-top: 5px;
    }

    .ruleInput {
        width: 160px !important;
        position: absolute;
        z-index: 5;
        margin-top: -8px !important;
    }

    .ruleInput1 {
        width: 160px !important;
        margin-left: 200px;
        margin-top: -25px;
    }

    .offerDetailsHeader .filterButton {
        margin-top: -140px !important;
        margin-right: 40px;
    }

    .offerDetailsHeader #offerFilter {
        margin-top: -30px !important;
    }

    #targetingList {
        width: 690px !important;
        margin-left: 60px !important;
    }

    .targetingHeader {
        margin-left: 70px !important;
    }

    #targetingList .dataTables_paginate {
        margin-top: 10px !important;
    }

    .targetingNavItem {
        margin-left: -400px !important;
    }

    .targetingNavItem1 {
        margin-left: -412px !important;
    }

    #targetingDetails {
        width: 500px !important;
        margin-left: 270px !important;
        margin-top: -60px !important;
    }

    .targetingOS {
        margin-left: 85px;
        margin-top: -35px;
    }

    .targetingDevice {
        margin-left: 110px;
        margin-top: -35px;
    }

    .targetingCountries {
        margin-left: 145px;
        margin-top: -40px;
    }

    .targetingCountriesLabel {
        margin-left: -270px !important;
        margin-top: 12px !important;
    }

    .targetingOSRow {
        margin-left: -100px !important;
    }

    .targetingDeviceRow {
        margin-left: -122px !important
    }

    .targetingNav {
        width: 800px;
        margin-top: 20px !important;
    }

    #targetingTable {
        width: 600px;
        margin-top: -100px !important;
        margin-left: 80px !important;
    }

    #general .card-body {
        margin-left: 200px !important;
    }

    .sslTracking {
        margin-left: 120px;
        margin-top: -40px !important;
    }

    .appId {
        margin-left: 120px;
        margin-top: -30px;
    }

    .appIdLabel {
        margin-left: 46px;
        margin-top: 10px;
    }

    .previewUrl {
        margin-left: 120px;
        margin-top: -30px;
    }

    .previewUrlLabel, .sslTrackingLabel {
        margin-left: 6px !important;
    }

    .trackingUrl {
        margin-left: 110px;
        margin-top: -5px !important;
    }

    .restriction {
        margin-left: 110px;
        margin-top: -50px !important;
    }

    .generalAccessStatus {
        margin-left: 170px;
        margin-top: -23px !important;
    }

    .generalAccessStatusNeedApproval {
        margin-left: 100px !important;
        margin-top: -25px !important;
    }

    .generalAccessStatusPrivate {
        margin-left: 350px !important;
        margin-top: -25px !important;
    }

    #general .card-body {
        width: 600px;
    }

    .clickSelectBox, .conversionSelectBox {
        margin-left: 150px !important;
        margin-top: -37px !important;
    }

    .clickContent .inputText {
        width: 220px !important;
        margin-left: -25px !important;
    }

    .clickContent .reportrange {
        margin-left: 150px !important;
        margin-top: -15px !important;
    }

    .clickHeader .clickOfferFilter {
        margin-right: 60px !important;
        zoom: 88%;
    }

    .clickHeader .clickExportFilter {
        margin-right: 30px !important;
        zoom: 88%;
    }

    .clickContent, .clickCard, .conversionContent, .conversionCard, .filterBottomLine {
        width: 400px !important;
    }

    .clickSelectBox .select2, .conversionSelectBox .select2 {
        width: 220px !important;
    }

    .clickContent .reportrangeinput {
        width: 220px !important;
    }

    .pabManageOffer {
        margin-top: -150px !important;
        margin-left: 340px !important;
    }

    .pubOfferPreviewURLLabel, .pubAccessStatusLabel, .pubRestrictionLabel {
        margin-left: -120px !important;
    }

    .pubDeviceLabel {
        margin-left: 37px;
    }

    .pubOSLabel {
        margin-left: 55px;
    }

    .pubOfferName .select2 {
        margin-left: 132px !important;
        margin-top: -25px !important;
    }

    .allReportHeader .reportRange {
        position: relative;
        right: 120px !important;
    }

    .allReportHeader .filterButton {
        margin-left: -60px !important;
        border-radius: 10px !important;
        border-color:#ffffff !important;
    }

    .allReportTable .btnDatatable {
        margin-left: 410px !important;
        margin-top: -21px !important;
        padding: 4px 10px;
        height: 28px;
        border-radius: 10px !important;
        background-color: #FD9811 !important;
        border-color:#ffffff;
    }

    .allReportTable .buttons-print, .allReportTable .buttons-pdf, .allReportTable .buttons-excel {
        display: none !important;
    }

    .allReportTable .btnDatatable span {
        display: none;
    }

    .allReportTable .btnDatatable:after {
        content: 'Export';
    }

    .conversionCount, .revenueCount, .payoutCount {
        margin-top: 10px !important;
    }

    .tableChart {
        margin-top: 30px !important;
        float: left;
    }

    .convertingCampaignsHeading {
        width: 400px;
    }
    #showAddOffer{
        margin-left:-45px !important;
        width:405px !important;
    }
    #showAddOffer .card-collapse{
        width:360px !important;
    }
    #showAddOffer .nav-link, #showAddOffer .moving-tab{
        margin-left:-25px;
        width:100px !important;
    }
    .targetingTab{
        margin-left:15px !important;
    }
    .linkTab{
        margin-left:6px !important;
    }
    #showAddOffer .card-footer, #showAddOffer .tab-content, #showAddOffer .wizard-container{
        width:405px !important;
    }
    #showAddOffer .btn-next, #showAddOffer .btn-finish{
        margin-left:-60px;
    }
    #showAddOffer #offerName{
        width:350px !important;
    }
    #showAddOffer .select2{
        width:160px !important;
    }
    #showAddOffer .filter-option, #showAddOffer .dropdown-toggle{
        width:160px !important;
    }
    #showAddOffer .offerAccessStatusRow, #showAddOffer .selectCurrencyRow{
        margin-left:190px !important;
    }
    #showAddOffer .offerAccessStatusLabel{
        margin-left:10px !important;
    }
    #showAddOffer .revenueModel .filter-option, #showAddOffer .revenueModel .dropdown-toggle,
    #showAddOffer .payoutModel .filter-option, #showAddOffer .payoutModel .dropdown-toggle{
    width:100px !important;
}
    #showAddOffer .revenueModel1{
        margin-left:270px !important;
    }
    #showAddOffer .payoutModel1{
        margin-left:220px !important;
    }
    #showAddOffer .revenueModel, #showAddOffer .payoutModel{
        margin-left:125px !important;
    }
    #showAddOffer .revenueModel1 input,
    #showAddOffer .payoutModel1 input{
        width:80px !important;
    }
    #showAddOffer .PreviewUrlLabel{
        margin-top:220px !important;
    }
    #showAddOffer #countries .fstMultipleMode .fstControls {
        width: 350px;
    }
    #showAddOffer .selectOS{
        margin-left:200px !important;
        margin-top:-55px !important;
    }
    #showAddOffer .LabelNameOS{
        margin-top:-55px !important;
        margin-left:230px !important;
    }
    .offerDetailsInactiveStatus{
        top:-32px !important;
        margin-left:45px !important;
    }
    .eventModalRow{
        margin-top:-32px !important;
    }
    .lastName, .jobTitle{
        margin-top:10px;
    }
    .passwordFieldSize1{
        margin-top:4px;
    }
    .confirmPasswordField{
        margin-top:12px;
    }
    .advertiserCountry{
        margin-top:13px;
    }
    .imIdAdvertiser{
        margin-top:65px !important;
    }
}

@media screen and (min-width: 767px) and (max-width: 991px) {
    .filter-option, .dropdown-toggle {
        width: 150px !important;
    }

    .selectStatus {
        margin-left: 250px !important;
        margin-top: -43px;
    }

    .selectDevice {
        margin-left: 250px !important;
        margin-top: -43px !important;
    }

    .bulkModalContent {
        width: 800px;
        margin-left: -140px !important;
    }

    .revenueModelEvent, .payoutModelEvent {
        margin-left: 130px !important;
        margin-top: -38px !important;
    }

    .revenueModelEvent1 {
        margin-top: -38px !important;
        margin-left: 330px;
    }

    .payoutModelEvent1 {
        margin-top: -36px !important;
        margin-left: 290px;
    }

    .revenueModelEvent1 input {
        margin-top: -40px !important;
    }

    .payoutModelEvent1 input {
        margin-top: -40px;
        margin-left: 40px;
    }

    .protocol .filter-option, .protocol .dropdown-toggle,
    .eventVisibility .filter-option, .eventVisibility .dropdown-toggle {
        width: 210px !important;
    }

    .protocolLabel {
        margin-left: 20px !important;
    }

    .eventTokenLabel {
        margin-left: 280px !important;
        margin-top: -64px !important;
    }

    .eventTokenInput {
        margin-top: -33px !important;
    }

    .eventVisibility {
        margin-left: 6px !important;
    }

    .eventVisibilityLabel {
        margin-left: -30px;
    }

    .conversionsRow {
        margin-left: -35px;
        margin-top: 15px;
    }

    .offerAccessStatus .filter-option, .offerAccessStatus .dropdown-toggle,
    .selectCurrency .filter-option, .selectCurrency .dropdown-toggle,
    .eventPrivacy .filter-option, .eventPrivacy .dropdown-toggle {
        width: 215px !important;
    }

    .device .filter-option, .device .dropdown-toggle {
        width: 200px !important;
    }

    .eventPrivacy {
        margin-left: 52%;
    }

    .revenueModel, .payoutModel {
        margin-left: 165px !important;
        margin-top: -38px !important;
    }

    .revenueModel1 {
        margin-left: 390px !important;
        margin-top: -38px !important;
    }

    .revenueModel1 input {
        margin-top: -30px !important;
        margin-left: 20px !important;
    }

    .payoutModel1 {
        margin-left: 340px !important;
        margin-top: -38px !important;
    }

    .payoutModel1 input {
        margin-top: -33px !important;
        margin-left: 70px !important;
    }

    .addOfferWidth {
        width: 570px !important;
    }

    .unApprovedList .dataTables_filter {
        position: fixed;
        z-index: 5;
        margin-top: -40px;
        margin-left: -20px !important;
    }

    .approvedList .dataTables_filter {
        position: fixed;
        z-index: 5;
        margin-top: -40px;
        margin-left: -40px !important;
    }

    .sslTracking {
        margin-left: -60px !important;
        margin-top: -10px;
    }

    .sslTrackingLabel {
        margin-left: 230px !important;
    }

    .appId {
        margin-left: -100px;
    }

    .appIdLabel {
        margin-left: 260px;
    }

    .previewUrl {
        margin-left: -60px;
    }

    .previewUrlLabel {
        margin-left: 215px;
    }

    .trackingUrl {
        margin-left: -60px;
    }

    .trackingUrlLabel {
        margin-left: 200px;
    }

    .restriction {
        margin-left: -70px;
    }

    .restrictionLabel {
        margin-left: 210px;
    }

    .generalAccessStatus {
        margin-left: -140px;
    }

    .generalAccessStatusLabel {
        margin-left: 29.7%;
    }

    .generalAccessStatusNeedApproval {
        margin-left: 50px !important;
    }

    .generalAccessStatusPrivate {
        margin-left: 80px !important;
    }
    .numberInputRow, .publisherCity, .publisherPostalFax,
    .pubAddress2{
        margin-top:12px !important;
    }
    .nameRow{
        margin-top:15px !important;
    }
    .publisherCutFactorOffset{
        margin-top:10px !important;
    }
    .passwordFieldSize{
        margin-top:10px !important;
    }
    .addressRow, .numberInput, .imIdMargin{
        margin-top:10px !important;
    }
    .companyAdvertiser{
        margin-top:-44px !important;
    }
    .emailAddressAdvertiser, .nameFieldAdvertise{
        margin-top:10px !important;
    }
    .passwordFieldAdvertiser, .advertiserCity{
        margin-top:11px !important;
    }
    .AddressField1, .postalCodeFaxAdvertiser{
        margin-top:9px !important;
    }
    .addressRow{
        margin-top:5px !important;
    }

}

@media screen and (min-width: 767px) and (max-width: 830px) {
    .blockedPublisher {
        margin-left: -100px;
    }

    #blockPubs .fstMultipleMode .fstControls {
        width: 400px;
    }

    .offerDetailsApproved {
        margin-left: -40px !important;
    }
    .offerDetailsApproved .form-control{
        width: 160px !important;
        margin-top:4px !important;
    }
    .offerDetailsApproved .dataTables_paginate{
        margin-right:70px !important;
    }
}
@media screen and (min-width: 831px) and (max-width: 877px){
    .offerDetailsApproved .form-control{
        width: 180px !important;
    }
}
@media screen and (min-width: 831px) and (max-width: 1042px) {
    .blockedPublisher {
        margin-left: -60px;
    }

    #blockPubs .fstMultipleMode .fstControls {
        width: 400px;
    }

    .offerDetailsApproved .cardButton, .offerDetailsUnApproved .cardButton {
        margin-top: -18px !important;
    }

    .offerDetailsApproved {
        margin-left: 10px !important;
        margin-top: 20px !important;
    }

    .offerDetailsUnApproved .dataTables_paginate {
        margin-right: 145px !important;
    }

    .offerDetailsUnApproved .dataTables_filter {
        position: absolute;
        z-index: 5;
        margin-top: -40px;
        margin-left: -110px !important;
    }

    .offerDetailsApproved .dataTables_filter {
        position: absolute;
        z-index: 5;
        margin-top: -40px;
        margin-left: -30px !important;
    }

    .offerDetailsUnApproved {
        margin-left: 100px;
    }
}

@media screen and (min-width: 767px) and (max-width: 877px) {

    .targetingOS {
        margin-left: -25px;
    }

    .targetingOSLabel {
        margin-left: 15px;
    }

    .targetingDevice {
        margin-left: -5px;
    }

    .targetingCountries .fstMultipleMode .fstControls {
        width: 450px !important;
        margin-left: 10px;
    }

    .targetingCountriesLabel {
        margin-left: -200px !important;
    }

    .offerDetailsUnApproved .dataTables_filter {
        position: absolute;
        z-index: 5;
        margin-top: -40px;
        margin-left: -30px !important;
    }

    .offerDetailsApproved .dataTables_filter {
        position: absolute;
        z-index: 5;
        margin-top: -40px;
        margin-left: -10px !important;
    }

    .offerDetailsApproved {
        margin-top: 20px;
    }

    .offerDetailsApproved .cardButton, .offerDetailsUnApproved .cardButton {
        margin-top: -16px !important;
    }
    .addOfferWidth {
        width: 640px !important;
    }
}

@media screen and (min-width: 877px) and (max-width: 992px) {
    .targetingOS {
        margin-left: -65px;
    }

    .targetingOSLabel {
        margin-left: 70px;
    }

    .targetingDeviceLabel {
        margin-left: 50px;
    }

    .targetingDevice {
        margin-left: -45px;
    }

    .targetingCountries .fstMultipleMode .fstControls {
        width: 450px !important;
        margin-left: 10px;
    }

    .targetingCountriesLabel {
        margin-left: -200px !important;
    }
}

@media screen and (max-width: 767px) {
    .wizard-container {
        width: 600px;
        margin-left: 0 !important;
    }

    body {
        overflow-x: scroll;
    }

    .selectAdvertiser, .secondaryOffer {
        margin-left: 0 !important;
    }

    .offerAccessStatus .filter-option, .offerAccessStatus .dropdown-toggle,
    .selectCurrency .filter-option, .selectCurrency .dropdown-toggle,
    .eventPrivacy .filter-option, .eventPrivacy .dropdown-toggle {
        width: 215px !important;
    }

    .device .filter-option, .device .dropdown-toggle {
        width: 200px !important;
    }

    .eventPrivacy {
        margin-left: 52%;
    }

    .revenueModel, .payoutModel {
        margin-left: 165px !important;
        margin-top: -38px !important;
    }

    .revenueModel1 {
        margin-left: 390px !important;
        margin-top: -38px !important;
    }

    .revenueModel1 input {
        margin-top: -30px !important;
        margin-left: 20px !important;
    }

    .payoutModel1 {
        margin-left: 340px !important;
        margin-top: -38px !important;
    }

    .payoutModel1 input {
        margin-top: -33px !important;
        margin-left: 70px !important;
    }

    .addOfferWidth #tooltipEditOffer {
        width: 570px !important;
    }

    .eventTokenLabel {
        margin-left: 280px !important;
        margin-top: -64px !important;
    }

    .accessStatusDiv, .rowMargin {
        margin-top: 20px !important;
    }

    .columnCheckBox {
        margin-left: -10px !important;
    }

    .eventName {
        margin-left: 105px !important;
        margin-top: -30px !important;
        width: 330px;
        position: absolute;
    }

    .eventDescription {
        margin-left: 125px !important;
        margin-top: -5px !important;
        width: 358px;
        position: absolute;
    }

    .radiosBox {
        margin-left: 200px !important;
        margin-top: -25px !important;
    }

    .revenueModelEvent, .payoutModelEvent {
        margin-left: 130px !important;
        margin-top: -38px !important;
    }

    .revenueModelEvent .filter-option, .revenueModelEvent .dropdown-toggle,
    .payoutModelEvent .filter-option, .payoutModelEvent .dropdown-toggle {
        width: 150px !important;
    }

    .revenueModelEvent1 {
        margin-top: -38px !important;
        margin-left: 330px;
    }

    .payoutModelEvent1 {
        margin-top: -36px !important;
        margin-left: 290px;
    }

    .revenueModelEvent1 input {
        margin-top: -40px !important;
    }

    .payoutModelEvent1 input {
        margin-top: -40px;
        margin-left: 40px;
    }

    .protocol .filter-option, .protocol .dropdown-toggle,
    .eventVisibility .filter-option, .eventVisibility .dropdown-toggle {
        width: 210px !important;
    }

    .protocolLabel {
        margin-left: 20px !important;
    }

    .eventTokenInput {
        margin-top: -33px !important;
    }

    .eventVisibility {
        margin-left: 6px !important;
    }

    .eventVisibilityLabel {
        margin-left: -30px;
    }

    .conversionsRow {
        margin-left: -35px;
        margin-top: 15px;
    }

    .editOfferWidth #tooltipEditOffer {
        width: 455px !important;
    "
    }

    .updateEditOfferButton {
        margin-right: 50px !important;
    }

    .dataTables_filter {
        float: right;
        margin-top: -43px;
    }

    .dataTables_length {
        float: left;
    }

    .numberInput {
        width: 220px !important;
        margin-top: 5px;
    }

    .imType {
        margin-left: 200px !important;
        margin-top: -45px !important;
    }

    .imIdMargin {
        position: absolute;
        width: 178px;
        margin-left: 410px !important;
        margin-top: 5px;
    }
    .oldPassword {
        margin-left: 72px !important;
        margin-top: -56px !important;
    }

    .newPassword, .confirmPassword {
        margin-left: 72px !important;
        margin-top: -37px !important;
    }

    .contentSize .dataTables_filter {
        position: fixed;
        z-index: 5;
        margin-left: 175px !important;
    }

    .passwordFieldSize, .emailFieldSize, .nameFieldSize, .companyFieldSize {
        margin-top: 12px;
    }

    #allAffiliateDiv {
        margin-left: 140px !important;
    }

    .offerDetailsHeader .cardButton {
        margin-top: -1px !important;
    }

    .offerDetailsCard {
        margin-top: 20px !important;
    }

    .blockedPublisher {
        margin-left: -100px;
    }

    #blockPubs .fstMultipleMode .fstControls {
        width: 400px;
    }

    .offerDetailsApproved {
        margin-left: -60px !important;
    }

    .containerFluidSize .dataTables_paginate {
        margin-top: 10px !important;
    }

    .offerDetailsUnApproved .dataTables_filter, .offerDetailsApproved .dataTables_filter {
        position: absolute;
        z-index: 5;
        margin-top: -40px;
        margin-left: 195px !important;
    }

    .offerDetailsApproved, .offerDetailsUnApproved {
        margin-top: 20px;
    }

    .clickHeader .clickReportrange, .conversionReportRange {
        margin-top: -86px !important;
        margin-right: 10px !important;
    }

    .navbar {
        z-index: 1;
    }

    .conversionHeader .filterButton {
        margin-right: 30px;
    }

    .pubOfferDetailsContent {
        width: 1000px !important;
    }

    .pubOfferDetailsContent #tooltipHide {
        margin-top: 30px !important;
        margin-left: 600px !important;
    }

    .deviceInfo {
        margin-top: 0 !important;
    }

    .allReportTable .dataTables_length {
        margin-top: -38px;
    }

    .allReportTable .dataTables_scroll {
        margin-top: 35px;
    }

    .allReportTable .dataTables_paginate {
        margin-top: 0 !important;
    }

    .allReportTable .dataTables_info {
        margin-top: -5px !important;
        margin-left: 10px;
    }
    .approveDataTable{
        margin-top: 20px !important;
    }
    .responsivePubDataTables, .pubPendingDataTable{
        margin-left:3px !important;
    }
    .companyAdvertiser{
        margin-top:-44px !important;
    }
    .emailAddressAdvertiser, .nameFieldAdvertise,
    .passwordFieldAdvertiser, .confirmPasswordFieldAdvertiser,
    .AddressField1, .advertiserCity, .faxAdvertiser{
        margin-top:10px !important;
    }
     .postalCodeFaxAdvertiser{
        margin-top:12px !important;
    }
    .JobTitleAdvertiser, .lastNameAdvertiser, .advertiserState{
        margin-top:9px !important;
    }
}

@media screen and (min-width: 990px) {
    .revenueModel1, .payoutModel1 {
        margin-top: 12px !important;
    }

    .revenueModel1 input {
        margin-top: -40px !important;
        margin-left: 20px !important;
    }

    .payoutModel1 input {
        margin-top: -40px !important;
        margin-left: 68px !important;
    }

    .revenueModelEvent1 {
        margin-top: -38px !important;
        margin-left: 330px;
    }

    .payoutModelEvent1 {
        margin-top: -36px !important;
        margin-left: 290px;
    }

    .revenueModelEvent1 input {
        margin-top: -45px !important;
    }

    .payoutModelEvent1 input {
        margin-top: -45px;
        margin-left: 40px;
    }

    .protocol .filter-option, .protocol .dropdown-toggle,
    .eventVisibility .filter-option, .eventVisibility .dropdown-toggle {
        width: 210px !important;
    }

    .protocolLabel {
        margin-left: 30px !important;
    }

    .eventVisibility {
        margin-left: 6px !important;
    }

    .eventVisibilityLabel {
        margin-left: -20px;
    }

    .conversionsRow {
        margin-left: -35px;
        margin-top: 15px;
    }

    .filter-option, .dropdown-toggle {
        width: 180px !important;
    }

    .trackingLinkSelect .filter-option, .trackingLinkSelect .dropdown-toggle {
        width: 210px !important;
    }

    .creativeStatus .filter-option, .creativeStatus .dropdown-toggle,
    .creativeType .filter-option, .creativeType .dropdown-toggle {
        width: 150px !important;
    }

    #bannersModal {
        margin-left: 500px !important;
    }

    .revenueModelEvent .filter-option, .revenueModelEvent .dropdown-toggle,
    .payoutModelEvent .filter-option, .payoutModelEvent .dropdown-toggle,
    .ruleCondition .filter-option, .ruleCondition .dropdown-toggle,
    .targetingParam .filter-option, .targetingParam .dropdown-toggle,
    .targetingLogic .filter-option, .targetingLogic .dropdown-toggle,
    .targetingCondition .filter-option, .targetingCondition .dropdown-toggle {
        width: 160px !important;
    }

    .PayoutModalOffer1 {
        margin-top: -40px !important;
        margin-left: 305px !important;
    }

    .revenueModelOffer1 {
        margin-top: -40px !important;
        margin-left: 350px !important;
    }

    .revenueModelOffer1 input {
        margin-top: -45px !important;
        margin-left: 10px;
        width: 160px;
    }

    .PayoutModalOffer1 input {
        margin-top: -45px !important;
        margin-left: 55px;
        width: 160px;
    }

    .imType .filter-option, .imType .dropdown-toggle {
        width: 200px !important;
    }

    .dropdownStyle .filter-option, .dropdownStyle .dropdown-toggle {
        width: 160px !important;
    }
    .postalCodeFaxAdvertiser, .nameFieldSize{
        margin-top:9px !important;
    }
    .emailAddressAdvertiser, .addressRow{
        margin-top:4px !important;
    }
    .AddressField{
        margin-top:-18px !important;
    }
}

@media screen and  (max-width: 992px) {
    .capsType .filter-option, .capsType .dropdown-toggle,
    .capScope .filter-option, .capScope .dropdown-toggle,
    .capVisibility .filter-option, .capScope .dropdown-toggle,
    .redirectSelect .filter-option, .redirectSelect .dropdown-toggle {
        width: 180px !important;
    }

    .capsType, .capScope, .capVisibility, .redirectSelect {
        margin-top: -10px !important;
    }

    .capsTypeLabel, .capScopeLabel, .capVisibilityLabel, .redirectLabel {
        margin-left: 5px !important;
    }

    .scopeMargin {
        margin-top: -35px !important;
    }

    .capVisibilityMargin {
        margin-top: 15px !important;
    }
    .dailyMargin{
        margin-top:-2px !important;
    }
    .redirectMargin{
        margin-top: -35px !important;
    }
    .weeklyLabel{
        margin-left: 245px !important;
        margin-top:-60px !important;
    }
    .dailyLabel, .monthlyLabel, .lifetimeLabel {
        margin-left: 250px !important;
        margin-top: -60px !important;
    }
    .publisherSelectBox {
        margin-left: 10px !important;
        margin-top: -10px !important;
    }

    .publisherLabel {
        margin-top: -40px !important;
        margin-left: 30px;
    }

    .eventsLabel {
        margin-left: 30px !important;
        margin-top: -50px !important;
    }

    .trackingLinkSelect .filter-option, .trackingLinkSelect .dropdown-toggle {
        width: 210px !important;
    }

    .targetingNavItem {
        margin-left: -40px;
        position: absolute;
        z-index: 5;
        margin-top: 30px !important;
    }

    .targetingNavItem1 {
        margin-left: -55px;
        margin-top: 80px !important;
        position: absolute;
        z-index: 5;
    }

    .ruleCondition .filter-option, .ruleCondition .dropdown-toggle,
    .targetingParam .filter-option, .targetingParam .dropdown-toggle,
    .targetingLogic .filter-option, .targetingLogic .dropdown-toggle,
    .targetingCondition .filter-option, .targetingCondition .dropdown-toggle {
        width: 160px !important;
    }

    .targetingLogicLabel {
        margin-top: -28px !important;
        margin-left: -215px !important;
    }

    .includeAllPublisher {
        width: 300px;
        margin-left: -25px;
    }

    .ruleNameLabel, .targetingLabel {
        margin-left: 15px !important;
    }

    .publisherIncludeLabel {
        margin-left: 30px !important;
        margin-top: -30px !important;
    }

    .publisherExcludeLabel {
        margin-left: 30px !important;
    }

    .ruleConditionLabel {
        margin-left: 30px !important;
    }

    .ruleConditionRow {
        margin-top: -30px !important;
    }

    .targetingParamLabel, .targetingConditionLabel {
        margin-left: 2px !important;
    }

    .valueMargin {
        margin-top: 10px !important;
    }

    .valueLabel {
        margin-left: 15px !important;
    }

    .revenueModelOffer, .PayoutModalOffer {
        margin-left: 135px !important;
        margin-top: -38px !important;
    }

    .PayoutModalOffer1 {
        margin-top: -36px !important;
        margin-left: 305px;
    }

    .revenueModelOffer1 {
        margin-top: -36px !important;
        margin-left: 350px;
    }

    .revenueModelOffer1 input {
        margin-top: -45px !important;
        margin-left: 10px;
        width: 160px;
    }

    .PayoutModalOffer1 input {
        margin-top: -45px !important;
        margin-left: 55px;
        width: 160px;
    }

    .duplicateOfferMargin .filter-option, .duplicateOfferMargin .dropdown-toggle {
        width: 180px !important;
    }

    .imType .filter-option, .imType .dropdown-toggle {
        width: 200px !important;
    }

    .contentSize {
        width: 430px !important;
    }

    #blockedPubsId .fstMultipleMode .fstControls {
        width: 388px !important;
    }

    .unApprovedList .dataTable {
        width: 388px !important;
    }

    .approvedList .cardButton, .unApprovedList .cardButton {
        margin-top: -18px !important;
    }

    .approvedList .dataTables_paginate, .unApprovedList .dataTables_paginate {
        margin-top: 5px !important;
    }

    .advertiserSelectBoxLabel {
        margin-left: 35px !important;
        margin-top: -32px !important;
    }

    .publisherSelectBoxLabel {
        margin-left: 23px !important;
        margin-top: -32px !important;
    }

    .clickContent {
        margin-left: 0 !important;
    }

    .pubOfferType {
        margin-top: -53px !important;
        margin-left: 230px !important;
    }

    .pubOfferListContent, .pubOfferListCard {
        margin-left: auto !important;
    }

    .allReportContent {
        margin-left: -10px !important;
    }
    .pubCountries{
        margin-left:18px !important;
    }
    .CompanyRow{
        margin-top:8px !important;
    }
   .pubOfferType{
       margin-left:255px !important;
   }
    .dropdownStyle .filter-option, .dropdownStyle .dropdown-toggle {
        width: 160px !important;
    }
    #fixedRange{
        margin-top:10px !important;
    }
    .eventLabel{
        margin-left:-5px !important;
        margin-top:10px !important;
    }
    .infoDiv{
        margin-left:20% !important;
    }
    .infoDiv .inputText{
        width:420px !important;
    }
}

@media screen and  (max-width: 489px) {
    .dataTables_info {
        float: left;
        margin-left: 2px !important;
    }

    .dataTables_paginate {
        margin-top: -25px !important;
    }

    .page-link {
        display: none;
        margin-right: 0 !important;
    }

    .previous .page-link, .active .page-link, .next .page-link {
        display: block !important;
    }

    .responsiveButton .filterButton {
        margin-top: -140px !important;
        margin-right: 40px !important;
    }

    .navbar {
        z-index: 1 !important;
    }

    .textLine {
        display: none;
    }

    .offerHeader #offerFilter {
        margin-top: -30px !important;
        margin-right: 40px !important;
    }

    .offerHeader #CreateOffer {
        margin-top: -140px !important;
        margin-right: 40px !important;
    }

    .conversionHeader .filterButton {
        zoom: 80%;
        margin-top: -45px !important;
        padding: 0 6px;
    }

    .pubBulkActionContent {
        width: 405px !important;
        margin-left: 0 !important;
    }

    .pubBulkActionCard .row {
        margin-left: -50px !important;
    }

    .pubBulkActionCard textarea {
        margin-left: -30px !important;
        width: 380px !important;
    }

    .pubBulkActionCard .cardButton {
        margin-left: 58% !important;
    }

    .dayFilter {
        margin-top: 40px;
    }

    .contentAdvertiser, .contentPublisher {
        width: 405px !important;
        margin-left: -10px !important;
    }

    .cardAdvertiser, .bottomLineAdvertiser, .cardPublisher, .bottomLinePublisher {
        width: 405px !important;
    }

    .imIdMargin {
        margin-left: 0 !important;
        margin-top: 62px;
        width: 395px !important;
    }
    .pubAddress2{
        margin-top:12px;
    }
    .publisherCountry, .publisherState, .publisherPostalCode{
        margin-top:10px;
    }
    .publisherFax, .publisherOffset{
        margin-top:11px;
    }
    .publisherCutFactor{
        margin-top:10px;
    }
    .imType{
        margin-top:-48px !important;
    }

    .imType .filter-option, .imType .dropdown-toggle {
        width: 160px !important;
    }

    .advertiserCity, .publisherCity {
        margin-top: 62px !important;
    }

    .addressAdvertiser {
        margin-top: -3px !important;
    }

    .numberInput {
        margin-top: 11px;
    }

    .bulkModalContent, .filterOfferListContent {
        width: 405px !important;
        margin-left: -10px !important;
    }

    .filterOfferListCard, .bottomLine {
        width: 405px !important;
    }

    .filterOfferListCard .select2 {
        width: 240px !important;
    }

    #publisherSelect .fstMultipleMode .fstControls {
        width: 330px;
    }

    .offerListDataColumn .fstMultipleMode .fstControls {
        width: 260px !important;
    }

    .offerListStatus {
        margin-left: -30px !important;
    }

    .offerListStatus .filter-option, .offerListStatus .dropdown-toggle {
        width: 150px !important;

    }

    .selectDevice, .selectStatus {
        margin-left: 230px !important;
    }
    .datatablesActivity .dataTables_paginate {
        margin-top: 6px !important;
        float:left;
    }
    .datatablesActivity{
        overflow-x:hidden;
    }
    .datatablesActivity .dataTables_filter{
        width: 170px;
        margin-top:-35px;
    }
    .offerDetailsContent, .editOfferContent{
    width:405px !important;
    margin-left:-20px !important;
    }
    .editOfferContent .inputText{
        width:350px !important;
    }
    .editOfferContent #tooltipEditOffer{
        width:380px !important;
    }
    .offerDetailsCard, .offerDetailsBottomLine,
    .offerDetailsCreativesCard, .offerDetailsCapsCard,
    .offerDetailsTargetingCard{
        width:405px !important;
    }
    .offerDetailsCard #trackingLinkInput{
        width:350px !important;
    }
    .offerDetailsCard .revenueModelOffer .filter-option, .offerDetailsCard .revenueModelOffer .dropdown-toggle,
    .offerDetailsCard .PayoutModalOffer .filter-option, .offerDetailsCard .PayoutModalOffer .dropdown-toggle,
    .offerDetailsCard .revenueModelEvent .filter-option, .offerDetailsCard .revenueModelEvent .dropdown-toggle,
    .offerDetailsCard .payoutModelEvent .filter-option, .offerDetailsCard .payoutModelEvent .dropdown-toggle{
        width:100px !important;
    }
    .offerDetailsCard .revenueModelOffer1{
        margin-left:280px !important;
    }
    .offerDetailsCard .revenueModelEvent1{
        margin-left:275px !important;
    }
    .offerDetailsCard .eventName{
        width:260px;
    }
    .offerDetailsCard .eventDescription {
        width: 290px;
    }
    .offerDetailsCard .PayoutModalOffer1,
    .offerDetailsCard .payoutModelEvent1 {
        margin-left:235px !important;
        margin-top:-40px !important;
    }
    .offerDetailsCard .revenueModelOffer1 input,
    .offerDetailsCard .PayoutModalOffer1 input{
        width:80px !important;
    }
    .offerDetailsCard .duplicateOfferMargin .filter-option, .offerDetailsCard .duplicateOfferMargin .dropdown-toggle,
    .offerDetailsCapsCard  .filter-option, .offerDetailsCapsCard  .dropdown-toggle{
        width:160px !important;
    }
    .duplicateOfferEventPrivacy{
        margin-left:200px !important;
    }
    .duplicateOfferOS{
        margin-left:200px !important;
        margin-top:-80px !important;
    }
    .detailsMargin {
        margin-left: 10% !important;
        margin-top:40px !important;
    }
    .offerDetailsDescription{
        margin-left: 2% !important;
        margin-top:40px !important;
        width:90% !important;
    }
    .offerDetailsFileInput img{
        width:250px !important;
        height:200px !important;
    }
    .containerFluidSize{
        width:405px;
    }
    .navOfferDetails{
        height:130px !important;
    }
     .protocol .filter-option, .protocol .dropdown-toggle,
     .eventVisibility .filter-option, .eventVisibility .dropdown-toggle{
        width:200px !important;
    }
     .eventTokenInput{
         margin-left:220px !important;
         width:130px !important;
     }
     .eventTokenLabel{
         margin-left:250px !important;
     }
     .conversionsRow{
         margin-left:-80px !important;
     }
    .offerDetailsCard .togglebutton{
        margin-left:-10px !important;
        margin-top:15px !important;
    }
     .containerFluidSize .dataTables_filter .form-control{
      width:140px !important;
    }
    .generalTabCard{
        width:180px !important;
    }
     .generalTabCard .row{
         margin-left:-220px !important;
     }

    .generalTabCard .generalAccessStatus{
         width:100px !important;
         margin-top:10px !important;
     }
    .generalTabCard .generalAccessStatusPrivate{
         margin-top:-70px !important;
     }
    .generalTabCard .appId{
        margin-top:-25px !important;
    }
    .offerDetailsCreativesCard .inputText,
    .offerDetailsCreativesCard .textArea{
        width:360px !important;
    }
    .offerDetailsCapsCard .scopeMargin{
        margin-left:215px !important;
    }
    .dailyMargin{
        margin-left:-25px !important;
    }
    .offerDetailsCapsCard .inputText{
        width:160px !important;
    }
    .offerDetailsCapsCard .monthlyMargin,
    .offerDetailsCapsCard .pauseCampaign{
        margin-left:-25px !important;
    }
    .offerDetailsCapsCard #pausePublisherCampaign{
        margin-left:-25px !important;
    }
    .offerDetailsCapsCard .select2{
        width:365px !important;
    }
    .targetingNavItem1{
        margin-left:-170px !important;
        margin-top:-40px !important;
    }
    .targetingNavItem{
        margin-left:-280px !important;
        margin-top:-40px !important;
    }
    #targetingDetails {
        width:50% !important;
        margin-left:120px !important;
        margin-top:30px;
    }
    .targetingCountries .fstMultipleMode .fstControls {
        width: 220px !important;
    }
    .targetingNav{
        width:auto;
        margin-left:300px !important;
    }
    .targetingButton{
        margin-left:-300px !important;
    }
    .targetingCountries{
        position: absolute;
        margin-left:60px;
        margin-top:5px;
    }
    .targetingHeader{
        margin-left:0 !important;
    }
    #targetingTable{
        width:90% !important;
        margin-left:15px !important;
        margin-top:-30px !important;
    }
    #targetingList{
        width:100% !important;
        margin-left:0 !important;
    }
    .targetingHeader .filterButton{
        margin-left:180px !important;
        margin-top:-190px !important;
    }
    .offerDetailsTargetingCard .inputText,
    .offerDetailsTargetingCard .select2{
        width:375px !important;
    }
    .offerDetailsTargetingCard .falseRadio{
        margin-left:20px !important;
    }
    .offerDetailsTargetingCard .targetingParamRow{
        margin-left:200px !important;
        margin-top:-55px !important;
    }
    .offerDetailsTargetingCard .targetingLogicLabel{
        margin-left:-175px !important;
    }
    .offerDetailsTargetingCard .offerDetailsBottomLine{
        margin-top:20px !important;
        margin-left:-10px !important;
    }
    .offerDetailsApproved{
        width:370px !important;
        left:20px !important;
    }
    .offerDetailsUnApproved{
        width:370px !important;
        left:15px !important;
    }
    .offerDetailsApproved .approveDataTable .datatables2,
    .offerDetailsUnApproved .approveDataTable .datatables3{
        width:330px !important;
    }
    .approveDataTable .dataTables_filter{
        margin-left:180px !important;
        margin-top:-43px !important;
    }
    .blockedPublisherCard{
        width:370px !important;
        left:40px !important;
    }
    #blockPubs .fstMultipleMode .fstControls {
        width: 330px;
    }
    .pubOfferDetailsDescription{
        margin-left: 2% !important;
        margin-top:380px !important;
        width:90% !important;
    }
    .pubOfferDetailsCard{
        height:600px;
    }
    .eventCard, .generalCard, .pubBannersCard, .pubTargetingCard{
        margin-top:60px !important;
    }
    .generalCard .row{
        margin-left:-100px !important;
    }
    .pubOfferPreviewURL label{
        margin-left: -20px !important;
        margin-top: -25px !important;
        width:35% !important;
    }
    .pubRestriction{
        margin-left: -20px !important;
        margin-top: -25px !important;
        width:36% !important;
    }
    .pubAccessStatus {
        margin-left: -20px !important;
        margin-top: -32px !important;
    }
    .pubTargetingCard .row{
        margin-left:0 !important;
    }
    .deviceButton{
        position: absolute;
        margin-top:40px;
        margin-left:-275px;
        padding:2px 10px;
    }
   .macroButtonHeight{
       height:115px !important;
   }
   .pubChangePassword .inputText{
       width:283px !important;
   }
   .publisherDevice{
       position: absolute;
       margin-top:40px;
       margin-left:-305px !important;
       padding:2px 10px;
   }
   .publisherS2Button{
       position: absolute;
       margin-top:40px;
       margin-left:-200px !important;
       padding:2px 10px;
   }
    .CutFactorOffset, .statePublisher, .offsetPublisher, .addressRow{
        margin-top:11px;
    }
    .postalCodeFax{
        margin-top:13px;
    }
    .mobileIMIdNumber, .CountryPublisher, .faxPublisher{
        margin-top:10px;
    }
    .offerDetailsDeviceButton{
        position:absolute;
        margin-left: -155px !important;
        margin-top:80px;
        padding:2px 10px !important;
    }
    .generalTabCard .trackingUrl{
        height:160px;
    }
    .offerDetailsS2Button{
        position:absolute;
        margin-left: -50px !important;
        margin-top:40px;
        padding:2px 10px !important;
    }
    .offerDetailsSUBAFFIDButton{
        position:absolute;
        margin-left: -155px !important;
        margin-top:40px;
        padding:2px 10px !important;
    }
    .infoDiv .inputText{
        width:300px !important;
    }
}

@media screen and  (min-width: 490px) and (max-width: 575px) {
    .selectDevice, .selectStatus {
        margin-left: 260px !important;
    }

    .offerListStatus {
        margin-left: -30px !important;
    }
    .detailsMargin {
        margin-left: 2% !important;
        margin-top:40px !important;
    }
    .offerDetailsFileInput img{
        width:250px !important;
        height:200px !important;
    }
    .offerDetailsFileInput{
        margin-left: 25% !important;
    }
    .generalTabCard{
        width:auto !important;
    }
    .generalTabCard .row{
        margin-left:-200px !important;
    }

   .generalTabCard .generalAccessStatus{

        margin-top:-22px !important;
        margin-left:150px !important;
    }
   .generalAccessStatusNeedApproval{
       margin-left:65px !important;
       margin-top:-27px !important;
   }
    .generalTabCard .generalAccessStatusPrivate{
        margin-top:-27px !important;
        margin-left:300px !important;
    }
    .generalTabCard .previewUrl{
        margin-top:-25px !important;
    }
    .targetingNavItem1{
        margin-left:-170px !important;
        margin-top:-50px !important;
    }
    .targetingNavItem{
        margin-left:-280px !important;
        margin-top:-50px !important;
    }
    #targetingDetails {
        width:50% !important;
        margin-left:140px !important;
        margin-top:20px;
    }
    .targetingCountries .fstMultipleMode .fstControls {
        width: 350px !important;
    }
    .targetingNav{
        width:auto;
        margin-left:300px !important;
    }
    .targetingButton{
        margin-left:-180px !important;
    }
    .targetingCountries{
        position: absolute;
        margin-left:60px;
        margin-top:5px;
    }
    .targetingHeader{
        margin-left:0 !important;
    }
    #targetingTable{
        width:98% !important;
        margin-left:15px !important;
        margin-top:-80px !important;
    }
    #targetingList{
        width:100% !important;
        margin-left:0 !important;
    }
    .pubOfferDetailsDescription{
        margin-top:210px !important;
        margin-left: 60% !important;
    }
    .eventCard {
        width: 70% !important;
        margin-top: -180px;
        margin-left: 170px;
    }
    .generalCard, .pubBannersCard, .pubTargetingCard {
        width: 74% !important;
        margin-top: -210px !important;
        margin-left: 170px;
    }
    .generalCard .row{
        margin-left:-90px !important;
    }
    .pubOfferPreviewURL label{
        margin-left: -20px !important;
        margin-top: -25px !important;
        width:35% !important;
    }
    .pubRestriction{
        margin-left: -20px !important;
        margin-top: -25px !important;
        width:40% !important;
    }
    .pubAccessStatus {
        margin-left: -20px !important;
        margin-top: -32px !important;
    }
    .pubDeviceRow, .pubOSRow{
        margin-left:100px !important;
    }
    .pubTargetingCard .row{
        margin-left:0 !important;
    }
    .postalCodeFax, .CountryPublisher, .faxPublisher{
        margin-top:12px;
    }
    .CutFactorOffset, .statePublisher, .offsetPublisher{
        margin-top:11px;
    }
    .addressRow, .mobileIMIdNumber{
        margin-top:10px;
    }
}

@media screen and  (min-width: 490px) and (max-width: 767px) {
    .dataTables_info {
        float: left;
        margin-top: 5px;
    }

    .dataTables_paginate {
        margin-top: -25px !important;
    }

    .dayFilter {
        margin-top: 40px;
        width: 500px;
    }

    .numberInput, .imIdMargin {
        margin-top: 3px;
    }

    .bulkModalContent {
        width: 500px;
    }

    #publisherSelect .fstMultipleMode .fstControls {
        width: 430px;
    }
    .datatablesActivity .dataTables_paginate {
        margin-top: -30px !important;
    }

    .datatablesActivity .page-link {
        display: none;
        margin-right: 0 !important;
    }
    .previous .page-link, .active .page-link, .next .page-link {
        display: block !important;
    }
    .offerDetailsApproved .dataTables_paginate{
        margin-right:70px !important;
    }
    .numberInputRow{
        margin-top:11px !important;
    }
    .publisherPostalCode, .publisherFax,
    .publisherOffset, .publisherCountry,
    .publisherCutFactor{
        margin-top:10px !important;
    }
    .pubAddress2, .publisherState{
        margin-top:12px;
    }
    .publisherCity{
        margin-top:13px !important;
    }
}

@media screen and (max-width: 1000px) {
    .scope {
        margin-top: -6px !important;
    }

    .bootstrap-select {
        width: 200px !important;
    }

    .ruleType {
        margin-top: -8px !important;
    }

    .action {
        margin-top: -8px !important;
        margin-left: 65px !important;
    }
}

@media screen and  (min-width: 768px) and (max-width: 1300px) {
    #tooltipHide {
        margin-left: 66% !important;
    }
}

@media screen and (max-width: 400px) {
    .pubOfferListContent, .pubOfferListCard, .pubLineBottom {
        width: 405px !important;
        margin-left: 0 !important;
    }

    .pubOfferName .select2, .dataColumnsPub .fstMultipleMode .fstControls {
        width: 280px !important;
    }

    .allReportContent {
        width: 405px !important;
        margin-left: auto !important;
        margin-right: auto !important;
    }

    .allReportCard, .bottomLineAllReport {
        width: 405px !important;
    }

    .allReportCard .fa, .allReportCard .material-icons {
        display: none;
    }

    .allReportCard .select2 {
        margin-left: 270px !important;
        width: 250px !important;
        margin-top: -30px !important;
    }

    .allReportCard .inputText {
        margin-left: 270px !important;
        width: 250px !important;
    }

    .allReportDataColumns {
        margin-left: -62px !important;
        margin-top: 20px !important;
    }

    .allReportGroupBy, .allReportSearchOffers {
        margin-top: 25px !important;
    }

    .advertiserContent, .publisherContent {
        width: 405px !important;
        margin-left: -10px !important;
    }

    .advertiseCard, .advertiserBottomLine, .publisherCard, .publisherBottomLine {
        width: 405px !important;
    }

    .advertiseCard #advertiserFilterSearch {
        margin-left: -260px !important;
        margin-top: 32px;
    }

    .pubSearchFilter {
        margin-left: 0 !important;
    }

    .publisherCard #filterSearch {
        margin-left: -180px !important;
        margin-top: 32px;
    }

    .contentSize {
        margin-left: -15px !important;
    }

    .contentSize, .contentSize .card, .campaignsContent,
    .campaignsContent .card-body, .searchCampaignFilter,
    .addCampaignsContent, .addCampaignsContent .card-body{
        width: 405px !important;
    }
    .addCampaignsContent .select2{
        width: 240px !important;
    }
    .campaignsContent .select2{
        width: 250px !important;
    }

    .contentSize .unApprovedList .datatables2,
    .contentSize .approvedList .datatables1 {
        width: 360px !important;
    }

    .contentSize .dataTables_filter {
        margin-left: 150px !important;
    }

    #blockedPubsId .fstMultipleMode .fstControls {
        width: 360px !important;
    }
    .employeeContent{
        width:405px !important;
        margin-left:-20px !important;
    }
    .employeeCard, .employeeBottomLine{
        width:405px !important;
    }
    .businessRulesContent{
        width:405px !important;
        margin-left:-20px !important;
    }
    .businessRulesCard, .businessRulesBottomLine{
        width:405px !important;
    }
    .businessRulesCard .inputText, .businessRulesCard .select2{
        width:360px !important;
    }
    .businessRulesCard .advertiserSelect2Label,
    .businessRulesCard .offerSelect2Label{
        width:200px;
    }
    .businessRulesCard .advertiserSelect2 .select2,
    .businessRulesCard .offerSelect2 .select2{
        margin-left:-220px !important;
        margin-top:5px !important;
    }
    .businessRulesCard #subPubIdDiv input{
        width:340px !important;
    }
    .businessRulesCard #cutFactorPercent{
        width:130px !important;
    }
    #event{
        width:290px !important;
    }
    }
@media screen and (max-width: 540px){
    .toggleButtonEmployee{
        width:200px !important;
        margin-left:195px !important;
    }
    .employeeCompany{
        width:200px !important;
    }
    .pubAccessCheckBox{
        margin-left:-30px !important;
        margin-top:50px !important;
    }
    .employeeSelect2 .select2{
        width:360px !important;
    }
    .employeeRole{
        height:100px;
    }
    .employeeCheckBox{
        margin-top:-62px !important;
    }
    .employeeAdvancedOption{
        margin-top:3px !important;
    }
}
@media screen and (min-width: 490px) and (max-width: 990px) {
    .pubBulkActionContent {
        width: 550px !important;
        margin-left: auto !important;
    }


    .pubBulkActionCard .cardButton {
        margin-left: 63% !important;
    }

}

@media screen and (max-width: 610px) {
    .pubOfferListDataTable .dataTables_info {
        float: left;
        margin-left: 2px !important;
    }

    .pubOfferListDataTable .dataTables_paginate, .pubPendingDataTable .dataTables_paginate {
        margin-top: -5px !important;
        height: 40px;
        float: left;
    }

    .pubOfferListDataTable {
        width: 94% !important;
    }
}

@media screen and (max-width: 813px) {
    .allReportHeader .reportRange {
        margin-top: -85px !important;
        margin-right: -120px !important;
    }

    .allReportHeader .filterButtonRow {
        float: left !important;
        margin-left: 220px !important;
        margin-top: 0 !important;
    }

    .allReportHeader .filterButton {
        right: 0 !important;
    }
}

@media screen and (min-width: 768px) and (max-width: 812px) {
    .allReportTable .dt-buttons {
        float: left !important;
        margin-top: -70px;
        left: 310px !important;
    }
}

@media screen and (min-width: 401px) and (max-width: 540px) {
    .allReportContent {
        width: 450px !important;
        margin-left: auto !important;
        margin-right: auto !important;
    }

    .allReportCard, .bottomLineAllReport {
        width: 450px !important;
    }

    .allReportCard .select2 {
        margin-left: 300px !important;
        width: 250px !important;
        margin-top: -30px !important;
    }

    .allReportCard .inputText {
        margin-left: 300px !important;
        width: 250px !important;
    }

    .allReportDataColumns {
        margin-left: -62px !important;
        margin-top: 0 !important;
    }
    .employeeContent, .employeeCard, .employeeBottomLine{
        width:405px !important;
    }
}

@media screen and (min-width: 541px) and (max-width: 992px) {
    .allReportCard .select2 {
        margin-left: 300px !important;
        margin-top: -30px !important;
    }

    .allReportDataColumns {
        margin-left: -62px !important;
        margin-top: 0 !important;
    }
}

@media screen and (min-width: 541px) and (max-width: 575px) {
    .allReportCard .inputText {
        margin-left: 300px !important;
        width: 380px !important;
    }
}

@media screen and (min-width: 440px) and (max-width: 446px) {
    .dayFilter {
        width: 500px;
        margin-left: 0 !important;
    }
}

@media screen and (min-width: 490px) and (max-width: 540px) {
    .contentAdvertiser, .cardAdvertiser, .bottomLineAdvertiser, .contentPublisher, .cardPublisher, .bottomLinePublisher {
        width: 530px !important;
    }

    .imType .filter-option, .imType .dropdown-toggle {
        width: 120px !important;
    }

    .imIdMargin {
        margin-left: 337px !important;
        width: 180px !important;
    }
}
@media screen and (min-width: 490px) and (max-width: 685px){
    .navOfferDetails{
        height:100px !important;
    }

}
@media screen and (min-width: 576px) and (max-width: 660px){
    .generalTabCard{
        width:auto !important;
    }
    .generalTabCard .row{
        margin-left:-250px !important;
    }
    .generalTabCard input, .generalTabCard .textArea{
        margin-left:20px !important;
    }
    .generalTabCard .generalAccessStatus{
        margin-top:-45px !important;
        margin-left:380px !important;
    }
    .generalAccessStatusNeedApproval{
        margin-top:30px !important;
    }
    .generalTabCard .generalAccessStatusPrivate{
        margin-top:-70px !important;
        margin-left:420px !important;
    }
    .generalTabCard .trackingUrlLabel{
        margin-top:0 !important;
    }
    .generalTabCard .sslTrackingLabel{
        margin-left:0 !important;
    }
    .generalTabCard .appId{
        margin-top:5px !important;
    }

}
@media screen and (min-width: 661px) and (max-width: 767px){
    .generalTabCard{
        width:auto !important;
    }
    .generalTabCard .row{
        margin-left:-240px !important;
    }
    .generalTabCard .generalAccessStatus{
        position:absolute;
        margin-top:-10px !important;
        margin-left:420px !important;
    }
    .generalAccessStatusNeedApproval{
        margin-top:30px !important;
    }
    .generalTabCard .generalAccessStatusPrivate{
        margin-top:-70px !important;
        margin-left:420px !important;
    }
    .generalTabCard .restrictionRow{
        margin-top:40px !important;
    }
    .generalTabCard .appId{
        margin-top:3px !important;
    }
}
@media screen and (min-width: 611px) and (max-width: 767px){
    #targetingDetails {
        width:600px !important;
        margin-left:-60px !important;
    }
    .targetingNavItem1{
        margin-left:-45px !important;
    }
    #targetingList{
        width:100% !important;
        margin-left:0 !important;
    }
    #targetingTable{
        margin-left:45px !important;
    }
    .targetingCountries{
        margin-top:10px !important;
    }
}
@media screen and (min-width: 576px) and (max-width: 610px){
    .targetingNavItem1{
        margin-left:90px !important;
        margin-top:-80px !important;
    }
    .targetingNavItem{
        margin-left:-20px !important;
        margin-top:-58px !important;
    }
    #targetingDetails {
        width:98%;
        margin-left:-90px !important;
        margin-top:10px;
    }
    .targetingHeader{
        margin-left:0 !important;
    }
    #targetingTable{
        width:100% !important;
        margin-left:-45px !important;
        margin-top:5px !important;
    }
    #targetingList{
        width:100% !important;
        margin-left:0 !important;
    }
}
@media screen and (min-width: 700px) and (max-width: 767px){
    .targetingCountries .fstMultipleMode .fstControls {
        width: 420px !important;
    }
}
@media  screen and (min-width: 490px) and (max-width: 830px){
    .offerDetailsApproved{
        width:auto !important;
        margin-left:-510px !important;
        margin-top:510px !important;
    }

}
@media screen and (min-width: 401px) and (max-width: 767px){
    .advertiseCard #advertiserFilterSearch {
        margin-left: -300px !important;
        margin-top: 32px;
    }
    .publisherCard #filterSearch {
        margin-left: -280px !important;
        margin-top: 32px;
    }
}
@media screen and (min-width: 768px){
    .advertiseCard #advertiserFilterSearch {
        margin-top: 1px;
    }
}
@media screen and (min-width: 490px) and (max-width: 548px){
    .offerDetailsDeviceButton{
        position:absolute;
        margin-left: -260px !important;
        margin-top:40px;
        padding:2px 10px !important;
    }
    .generalTabCard .trackingUrl{
        height:120px;
    }
}
@media screen and (max-width: 1086px){
    .blockedPublisher .select2{
        width:auto !important;
    }
}

